#!/usr/bin/perl

$mem = `cat /proc/meminfo | grep -w "MemTotal"`;
$mem =~ s/(MemTotal.*\s)(.*[0-9])( kB)//;
$mem_total = "$2";

$mem = `cat /proc/meminfo | grep -w "MemFree"`;
$mem =~ s/(MemFree.*\s)(.*[0-9])( kB)//;
$mem_free = "$2";

$mem_used = $mem_total - $mem_free;

$swap = `cat /proc/meminfo | grep -w "SwapTotal"`;
$swap =~ s/(SwapTotal.*\s)(.*[0-9])( kB)//;
$swap_total = "$2";

$swap = `cat /proc/meminfo | grep -w "SwapFree"`;
$swap =~ s/(SwapFree.*\s)(.*[0-9])( kB)//;
$swap_free = "$2";

$swap_used = $swap_total - $swap_free;

print "mem_total:$mem_total mem_free:$mem_free mem_used:$mem_used swap_total:$swap_total swap_free:$swap_free swap_used:$swap_used";